summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorJose Maria Celorio <chema@src.gnome.org>2001-06-19 03:29:28 +0000
committerJose Maria Celorio <chema@src.gnome.org>2001-06-19 03:29:28 +0000
commitdc4dfdf1884bda41748269b12280aecf4e05409d (patch)
tree2590711273260d6b5c3a731b3d1ac2ff3c457630 /autogen.sh
downloadglade-dc4dfdf1884bda41748269b12280aecf4e05409d.tar.gz
Initial revision
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/autogen.sh b/autogen.sh
new file mode 100755
index 00000000..8cda4986
--- /dev/null
+++ b/autogen.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`
+test -z "$srcdir" && srcdir=.
+
+PKG_NAME="the package."
+
+(test -f $srcdir/configure.in) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level directory"
+ exit 1
+}
+
+. $srcdir/macros/autogen.sh